@media screen and (min-width:1600px) {
    .sparkai .hero_content .main {
        bottom: 0;
        left: 50%;
        width: 460px;
    }
    .sparkai .hero_content .bg {
        width: 700px;
    }
    .sparkai_new_page .sparkai_new_sparky{
        width:75%;
    }
    .sparkai_new_page .sparkai_new_content{
        padding-top: clamp(120px, 18vh, 175px);
    }
}
@media (max-width: 1400px) {
    .product_grid_row .product_item{
        width:auto;
    }
}
@media screen and (max-width:1399px) {
    /* .events .event_item{
        max-width: 180px;
    } */
    
    .nav-inner {
        max-width: 1100px;
    }

    .product_detail_page .product_slider {
        grid-template-columns: 18% 70%;
    }

    .product_detail_page .product_data .section_heading {

        font-size: 36px;
    }
}

@media screen and (max-width:1200px){
    .page_wrapper .product_grid_row{
        grid-template-columns:repeat(3,1fr)
    }
}

@media screen and (max-width:1199px) {
    /*.main_wrapper .mainSwiper {*/
    /*    height: 65vh;*/
    /*}*/
    .main_wrapper .slide-overlay h2{
        font-size:44px;
    }

.main_wrapper .swiper-slide::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to right, rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0));
    z-index: 1;
}
.solution_page_banner .banner_content p br{
    display: none;
}
   

    .section_title {
        max-width: 90%;
    }

    .section_heading {
        font-size: 36px;
    }

    /* .events .event_item{
        max-width: 150px;
    } */
    .page_wrapper .product_grid_row {
        grid-template-columns: repeat(2, 1fr);
    }

    .product_detail_page .product_data .section_heading {
        font-size: 30px;
    }


    .main_product_details .image {
        padding: 20px;
        height: 450px;
    }

    .contact_page .contact_page_form_wrapper .grid_row_two {
        grid-template-columns: 1fr;
    }

    .contact_page_form_wrapper .contact_details {
        order: 2;
    }

    .section_three {
        background-attachment: scroll;
        height: 50vh;
        background-position: 40% 20%;
    }

    .product_features .feature {
        max-width: 80%;
    }
    footer .footer_product_col{
        column-gap:110px;
    }
    
    .about-overview .about-grid{
        grid-template-columns: 1fr ;
    }
     .about-overview .container{
        justify-content:flex-start;
    }
    .faq .grid_row{
        grid-template-columns: 1fr ;
    }
    
}


@media (min-width: 768px) and (max-width: 1199px) {
    .sparkai{
        height:77vh;
    }
    .sparkai .hero_content .main{
        bottom:-5px;
    }
}


@media screen and (max-width:991px) {
    .main_wrapper .mainSwiper{
        height:60vh;
    }
    .section_title {
        max-width: 100%;
    }
    .main_wrapper .slide-overlay{
        left:15%;
    }
    .main_wrapper .slide-overlay h2{
        font-size:32px;
        line-height:40px;
    }
    .section_heading {
        font-size: 32px;
    }
    .what_we_do .overlay h2{
        font-size: 24px;
    }
    .section_desc {
        margin-bottom: 10px;
    }

    .what_we_do .block {
        height: 370px;
    }

    /*.what_we_do .block_2 {*/
    /*    height: 300px;*/
    /*}*/

    /*.what_we_do .block_3 {*/
    /*    height: 230px;*/
    /*}*/

    .solution_sec .grid_row {
        grid-template-columns: 1fr;
    }

    .solution_sec .img_column {
        text-align: left;
    }

    .solution_sec .column_two .item {
        text-align: left;
    }

    .solution_sec .column_two .item .icon {
        order: 1;
    }

    .solution_sec .column_two .item .item_content {
        order: 2;
    }

    .events .grid_row {
        grid-template-columns: 1fr;
        gap: 20px;
    }

    .product_grid_row .product_image {
        height: 170px;
    }

    .product_detail_page .container {
        grid-template-columns: 100%;
        gap: 50px;
    }


    /*.main_product_details .grid_row {*/
    /*    gap: 20px;*/
    /*}*/

    .main_product_details .image {
        height: 400px;
    }

    .transparent_oled .grid_row {
        gap: 20px;
    }

    .product_features .feature {
        max-width: 100%;
    }



    .solution_sec .grid_solution {
        grid-template-columns: 1fr;
        gap: 24px;
    }

    .solution_sec .grid_solution .nav {
        flex-direction: row !important;
        gap: 10px;
        justify-content: center;
    }

    .solution_sec .grid_solution .nav button {
        height: auto;
        padding: 10px;
    }

    .solution_grid {
        grid-template-columns: 1fr 1fr;
    }


    .similar_products .product_grid_row {
        grid-template-columns: 1fr 1fr;
    }

    .product_grid_row .product .product_image {
        min-width: 240px;
        min-height: 220px;
        max-width: 240px;
        max-height: 220px;
    }
    .what_we_do .grid_row{
        grid-template-columns: 1fr 1fr;
    }
    .main_wrapper .swiper-slide{
        background-position:72%;
    }
    
    .sparkai .hero_content .main{
        
        width:330px;
        /*bottom:-16px;*/
    }
    
    .page_wrapper .product_grid_row .product_image{
        margin-bottom:0px;
        height:150px;
    }
    .page_banner.academy_banner{
        height:60vh;
    }
    .sparkai .hero_content{
        padding-top:0px;
    }
    
     .solution_page_banner{
        height: 60vh;
    }
    .page_banner.career_page_banner,
    .page_banner.contact_page_banner{
        height:60vh;
    }

}



@media screen and (max-width:600px) {
    .section_heading {
        font-size: 28px;
    }
    .page_banner{
        height:300px;
       
    }
     .main_wrapper .mainSwiper{
        height:100vh;
    }
    .main_wrapper .swiper-slide{
        align-items: flex-start;
        padding: 120px 20px 0px;
        /*text-align: start;*/
    }
    
 

/*.main_wrapper .slide-overlay p {*/
/*    max-width: 90%;*/
/*    margin: 0px auto 24px;*/
/*}*/


     .page_banner.education{
          background-size: cover;
    background-position: 65%;
     }

    .section_desc {
        margin-bottom: 24px;
    }
    /*.main_wrapper .mainSwiper{*/
    /*    height:80vh;*/
    /*}*/
    .main_wrapper .swiper-button-prev {
        left: 20px;
    }

    .main_wrapper .swiper-button-next {
        right: 20px;
    }

    .main_wrapper .slide-overlay h2 {
        font-size: 24px;
        line-height:32px;
        font-weight: 400;
    }

    .main_wrapper .mySwiper {
        height: 90vh;
    }
    .main_wrapper .swiper-wrapper{
        text-align:center;
    }
    .main_wrapper .slide-overlay{
        left:0;
    }
    .slide-overlay h2 {
        font-size: 28px;
    }


    .our_products .product_grid_row {
        grid-template-columns: 1fr;
    }

    .product_grid_row .product {
        padding: 20px 20px 50px;
    }
.product_grid_row .product .main_btn{
    background: #fff;
    color: #000;
}
    .what_we_do .grid_row {
        grid-template-columns: 1fr;
        gap: 20px;
    }

    .what_we_do .flex_row {
        flex-direction: column;
    }

    .solution_sec .img_column {
        text-align: center;
    }

    /* .events .event_item{
        max-width: 110px;
    } */

    footer .grid_row {
        grid-template-columns: 1fr;
        gap: 20px;
    }

    footer .footer_product_col {
        row-gap: 10px;
    }

    .section_three {
        background-position: 75% 20%;
        background-size: cover;
height:100vh;
    }
    

    .section_three .section_heading {
        font-size: 24px;
    }
.section_three .section_heading br{
    display:none;
}




    .page_wrapper .filter_grid {
        flex-direction: column;
        gap: 24px;
    }

    .page_wrapper .filter_grid select,
    .page_wrapper .filter_grid .search_bar {
        width: 100%;
    }

    .page_wrapper .search_bar .form-label {
        display: none;
    }

    .page_wrapper .product_grid_row {
        grid-template-columns: 1fr;
    }

    .product_detail_page .product_slider {
        grid-template-columns: 1fr;
    }

    .product_detail_page .mySwiper .swiper-wrapper {
        flex-direction: row;
        /*flex-wrap: wrap;*/
    }

    /*.product_detail_page .mySwiper {*/
    /*    order: 2;*/
    /*}*/

    .product_features .nav-pills {
        gap: 4px;
    }

    .product_images {
        grid-template-columns: 1fr;
    }



    .main_product_details .grid_row {
        display: flex;
        flex-direction: column;
        gap: 32px;
    }

    .main_product_details .image {
        height: 400px;
        order: 1;
    }
    .main_product_details .product_info{
        order:2;
    }

    .main_product_details .product_info h2 {
        font-size: 28px;
    }

    .contact_page_form .input_row {
        grid-template-columns: 1fr;
        gap: 12px;
        margin-bottom: 12px;
    }

    .contact_page_form .input_row .mb-4 {
        margin-bottom: 0 !important;
    }

    .contact_page_form .main_btn {
        margin-top: 20px;
    }


    .product_grid_row .product .product_image {
        min-width: 320px;
        max-width: 320px;
    }


    .transparent_oled .grid_row {
        grid-template-columns: 1fr;
    }

    .solution_sec .grid_solution {
        grid-template-columns: 1fr;
        gap: 24px;
    }

    .solution_sec .grid_solution .nav {
        flex-direction: row !important;
        gap: 10px;
        justify-content: center;
    }

    .solution_sec .grid_solution .nav button {
        height: auto;
        padding: 10px;
    }


    .solution_grid {
        grid-template-columns: 1fr;
    }


    /*.main_wrapper .swiper-slide.one {*/
    /*    background-image: url('../images/slider/mobile-slider-1.jpg');*/
    /*    background-position: left;*/
    /*}*/

    /*.main_wrapper .swiper-slide.two {*/
    /*    background-image: url('../images/slider/mobile-slider-2.jpg')*/
    /*}*/

    /*.main_wrapper .swiper-slide.three {*/
    /*    background-image: url('../images/slider/mobile-slider-3.jpg')*/
    /*}*/

    /*.main_wrapper .swiper-slide.four {*/
    /*    background-image: url('../images/slider/mobile-slider-4.jpg')*/
    /*}*/


    .similar_products .product_grid_row {
        grid-template-columns: 1fr;
    }


    .product_grid_row .product {
            background: linear-gradient(to bottom, #2e3a55 0%, #000000 100%) !important;
    }


    .career_form .input_row{
        grid-template-columns: 1fr;
        gap: 0;
    }
    .career_form{
        padding-top: 0;
    }

    .product_grid_row .product .product_name, 
    .product_grid_row .product .product_desc{
        color: #fff;
    }
    .product_grid_row .product_image {
        margin:0px auto 20px;
        max-width:fit-content;
    }
    
    .product_features .nav-link {
        font-size: 14px;
        padding: 10px 6px;
    }
    
    header .main_btn{
        padding:8px 16px !important;
        border-radius:8px;
    }
    .wrapper .btn{
        color:#fff;
    }
    
    
    .main_wrapper .swiper-button-prev, .main_wrapper .swiper-button-next{
        display:none;
    }
    .sparkai .bottom_flex_row .scroll_text{
        gap:60px;
    }
.sparkai .hero_content .main{
        
        width:245px;
        overflow:hidden;
        bottom:-24px;
    }
    
    
    .page_banner.contact_page_banner{
        background-position: 80% center ;
        /*align-items:bottom;*/
    }
    
    .page_banner.academy_banner{
        height: 100vh;
    }
    .page_banner.career_page_banner, .page_banner.contact_page_banner{
        height: 100vh;
    }
    .solution_page_banner{
        height: 100vh;
    }
    
    .page_banner.contact_page_banner {
        background: url(../images/page-banner/contact-m-banner.webp) no-repeat center bottom / cover;
        
    }
    .page_banner.contact_page_banner {
        background: url(../images/page-banner/contact-m-banner.webp) no-repeat center bottom / cover;
        
    }
    .page_banner.career_page_banner {
        background: url(../images/page-banner/career-m-banner.webp) no-repeat center bottom / cover;
        
    }
    
    .page_banner.academy_banner {
        background: url(../images/page-banner/academy-m-banner.webp) no-repeat center bottom / cover;
        
    }
    
    
    
    
}

@media (max-width: 350px) {
  header .main_btn {
    display: none;
  }
}











